/*
 * Programme de remonté de la valeur d'un compteur de la carte Arduino vers un terminal mobile
 * 
 * Écrit pour :
  * Arduino UNO R3 
  * "Bluetooth Shield V2.0" de Seeedstudio
 * Testé avec EDI Arduino 1.0.5 à 1.8.x
 * Documentation : 
  * http://wiki.seeedstudio.com/Bluetooth_Shield_V2/
 * 
 * Dorian JACQUOT et Cyril NARGEOT
 * 03-2019
 * 
 */

#include <SoftwareSerial.h>

#define BT_RX 2
#define BT_TX 3

int compteur=0;

SoftwareSerial bluetoothSerial(BT_RX, BT_TX);

void setup()
{
  //initialisation des communications séries
  Serial.begin(9600);
  Serial.flush();
  bluetoothSerial.begin(9600);
  bluetoothSerial.flush();
  delay(500);
  //début de l'affichage de l'interface utilisateur sur le moniteur série
  Serial.println("PROGRAMME DE REMONTEE DE COMPTEUR VERS TERMINAL MOBILE");
  Serial.println("------------------------------------------------");
  delay(1000);
  Serial.println("Initialisation terminee!");
  Serial.println("------------------------------------------------");
}

void loop()
{
  compteur++;
  Serial.print("Compteur : ");
  Serial.println(compteur);
  bluetoothSerial.print(compteur);
  delay(1000);
}
